Update an app
PATCH
/api/v1/apps/{app_name}
const url = 'https://example.com/api/v1/apps/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"description":"example","source_code_path":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/apps/example \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "source_code_path": "example" }'Update an existing app. Only Nexa-managed apps can be updated.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”app_name
required
App Name
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
App
App model matching Databricks specification exactly.
object
name
required
Name
App name
string
active_deployment
Any of:
AppDeployment
App deployment model matching Databricks specification.
object
deployment_artifacts
Any of:
AppDeploymentArtifacts
Deployment artifacts information.
null
mode
Any of:
DeploymentMode
Deployment mode enum from Databricks.
string
null
deployment_status
Any of:
AppDeploymentStatus
Deployment status information.
null
null
app_status
Any of:
ApplicationStatus
Application status information.
null
compute_status
Any of:
ComputeStatus
Compute status information.
null
Example
{ "active_deployment": { "mode": "SNAPSHOT", "deployment_status": { "state": "IN_PROGRESS" } }, "app_status": { "state": "CRASHED" }, "compute_status": { "state": "ACTIVE" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}